<?php
require_once '../Conexion/conexion.php';
require '../Conexion/ConexionPDO.php';
$con = new ConexionPDO();
$conexion = $_SESSION['conexion'];
session_start();
if (!empty($_REQUEST['x'])) {
    switch ($_REQUEST['x']) {
        case '1':
            if (!empty($_REQUEST['concepto'])) {
                $html = "";
                $html .= "<option value=\"\">Rubros</option>";
                $concepto = $_REQUEST['concepto'];
                switch ($conexion) {
                    case 1:
                        switch ($conexion) {
                            case 1:  // no existe el campo concepto_financiero en consultas_factura
                                $res_r = $con->Listar("SELECT rb.id_unico, CONCAT_WS(' ',rb.codi_presupuesto, rb.nombre) FROM gp_concepto gcn
                                LEFT JOIN gf_concepto fcn         ON gcn.concepto_financiero = fcn.id_unico
                                LEFT JOIN gf_concepto_rubro rubro ON fcn.id_unico = rubro.concepto
                                LEFT JOIN gf_rubro_pptal rb       ON rubro.rubro = rb.id_unico
                                WHERE gcn.id_unico = $concepto");
                                break;
                            case 2:
                                # code...
                                break;
                            default:
                                # code...
                                break;
                        }
                       
                        break;
                    case 2:
                        $res_r = $con->Listar("SELECT
                        rb.id_unico,
                        rb.codi_presupuesto || ' ' || rb.nombre
                        FROM gp_concepto gcn
                        LEFT JOIN gf_concepto fcn ON gcn.concepto_financiero = fcn.id_unico
                        LEFT JOIN gf_concepto_rubro rubro ON fcn.id_unico = rubro.concepto
                        LEFT JOIN gf_rubro_pptal rb ON rubro.rubro = rb.id_unico
                        WHERE gcn.id_unico = $concepto");
                        break;
                    default:
                        # code...
                        break;
                }
                // $res_r = $mysqli->query($sql_r);
                // while ($row_r = mysqli_fetch_row($res_r)) {
                for ($row_r=0; $row_r < count($res_r) ; $row_r++) { 
                    $html .= "<option value=\"".$res_r[$row_r][0]."\">" . ucwords(strtolower($res_r[$row_r][1])) . "</option>";
                }
                echo $html;
            }
            break;
    }
}
